#! /bin/awk -f

function addobj(s,x,y,z)
{
  id++;
  objs[id]=sprintf(s,id,x,y,z);
}

function land(x,y,z) {
  addobj("4 id %d position %d%%20%d%%20%d type land volume 10%%2010 0",x,y,z);
}

function tree(x,y,z) {
  addobj("9 constitution 100 gender *any* id %d name Tree orientation 0%%20105%%200 position %d%%20%d%%20%d type Tree volume 50%%2050 weight 10000 1 torso 0 0",x,y,z);
}

function gem(x,y,z) {
  addobj("8 color *any* id %d name gem orientation 0%%20190%%200 position %d%%20%d%%20%d type gem volume 50%%2050 weight 1 0",x,y,z);
}

function dog(x,y,z) {
  addobj("12 agility 65 constitution 11 dexterity 50 gender *any* id %d name dog orientation 0%%20105%%200 position %d%%20%d%%20%d strength 15 type dog volume 50%%2050 weight 30 7 head 0 0 lb_foot 0 0 lf_foot 0 0 neck 0 0 rb_foot 0 0 rf_foot 0 0 torso 0 0",x,y,z);
}

function cat(x,y,z) {
  addobj("12 agility 85 constitution 8 dexterity 50 gender *any* id %d name cat orientation 0%%20255%%200 position %d%%20%d%%20%d strength 10 type cat volume 50%%2050 weight 10 7 head 0 0 lb_foot 0 0 lf_foot 0 0 neck 0 0 rb_foot 0 0 rf_foot 0 0 torso 0 0",x,y,z);
}

BEGIN {
### first 100 IDs reserved for players
  iid=100;
  id=iid-1;
  main();
  exit;
}

function main() {
  xt=16; yt=10;
  for(y=0; y<yt; y++)
    for (x=0; x<xt; x++)
      land(x*10,y*10,-10);
  for (i=0; i<3; i++)
    tree(75+i*15,80,0);
  gem(10,75,0);
  dog(85,80,0);
  cat(15,120,0);
}

END {
  printf("%d\n",id-iid+1);
  for (i=iid; i<=id; i++)
    printf("%s\n",objs[i]);
}
