/* $Id: C2S_ACTION.cpp,v 1.18 2002/03/11 22:43:39 guidoj Exp $ */
/***************************************************************************
    copyright            : (C) 2000 by Miguel Angel Blanch Lardin
    email                : x5101920@fedro.ugr.es
 ***************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "1_Message/C2S_ACTION.h"
#include "DataTypes/Serializer.h"


Message_C2S_ACTION::Message_C2S_ACTION():
  Message()
  {
  sType=ARIANNE_ACTION;
  }

Message_C2S_ACTION::~Message_C2S_ACTION()
  {
  }

void Message_C2S_ACTION::read(Serializer &s)
  {
  s >> action;
  }

void Message_C2S_ACTION::write(Serializer &s) const
  {
  s << action;
  }

void Message_C2S_ACTION::Setaction(std::list<std::list<Action> > const& action)
  {
  this->action=action;
  }

void Message_C2S_ACTION::Setaction(std::list<Action> const& action)
  {
  this->action.clear();
  this->action.push_back(action);
  }
  
std::list<std::list<Action> > Message_C2S_ACTION::Getaction()
  {
  return action;
  }


Message *Message_C2S_ACTION::clone() const
  {
  return new Message_C2S_ACTION(*this);
  }
