/* $Id: C2S_ACTION.h,v 1.16 2002/03/08 12:21:23 arianne_rpg Exp $ */
/***************************************************************************
    copyright            : (C) 2000 by Miguel Angel Blanch Lardin
    email                : x5101920@fedro.ugr.es
 ***************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef ARIANNE_C2S_ACTION_h
#define ARIANNE_C2S_ACTION_h

#include "Types.h"
#include "Message.h"
#include "4_Object/Action.h"

class Serializer;

#include <list>

/* Exactly the same interface */
#define Message_S2C_ACTION Message_C2S_ACTION

class Message_C2S_ACTION: public Message
  {
  std::list<std::list<Action> > action;

  public:
  Message_C2S_ACTION();
  virtual ~Message_C2S_ACTION();

  virtual void read(Serializer &s);
  virtual void write(Serializer &s) const;

  Message_C2S_ACTION(Message_C2S_ACTION const &b):
    Message(b),
    action(b.action)
	{
	}

  virtual Message *clone() const;

  void Setaction(std::list<std::list<Action> > const& action);
  void Setaction(std::list<Action> const& action);
  std::list<std::list<Action> > Getaction();
  };

#endif
