/* $Id: C2S_LOGOUT.cpp,v 1.14 2002/03/08 12:21:23 arianne_rpg Exp $ */
/***************************************************************************
    copyright            : (C) 2000 by Miguel Angel Blanch Lardin
    email                : x5101920@fedro.ugr.es
 ***************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "1_Message/C2S_LOGOUT.h"
#include "DataTypes/Serializer.h"


Message_C2S_LOGOUT::Message_C2S_LOGOUT():
  Message()
  {
  sType=ARIANNE_LOGOUT;
  }

Message_C2S_LOGOUT::~Message_C2S_LOGOUT()
  {
  }

void Message_C2S_LOGOUT::read(Serializer &s)
  {
  s >> Statistics;
  }

void Message_C2S_LOGOUT::write(Serializer &s) const
  {
  s << Statistics;
  }
  
void Message_C2S_LOGOUT::SetStatistics(const std::string &Statistics)
  {
  this->Statistics=Statistics;
  }
  
std::string Message_C2S_LOGOUT::GetStatistics()
  {
  return Statistics;
  }
  
Message *Message_C2S_LOGOUT::clone() const
  {
  return new Message_C2S_LOGOUT(*this);
  }

