/* $Id: C2S_LOGOUT.h,v 1.14 2002/03/08 12:21:23 arianne_rpg Exp $ */
/***************************************************************************
    copyright            : (C) 2000 by Miguel Angel Blanch Lardin
    email                : x5101920@fedro.ugr.es
 ***************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef ARIANNE_C2S_LOGOUT_h
#define ARIANNE_C2S_LOGOUT_h

#include "Types.h"
#include "Message.h"

class Serializer;
#include <string>

class Message_C2S_LOGOUT: public Message
  {
  std::string Statistics;

  public:
  Message_C2S_LOGOUT();
  virtual ~Message_C2S_LOGOUT();
  virtual void read(Serializer &s);
  virtual void write(Serializer &s) const;


  Message_C2S_LOGOUT(Message_C2S_LOGOUT const &b):
    Message(b),
    Statistics(b.Statistics)
	{
	}

  virtual Message *clone() const;

  void SetStatistics(const std::string &Statistics);
  std::string GetStatistics();
  };

#endif
