/* $Id: C2S_SYSTEM_INFO.cpp,v 1.14 2002/03/08 12:21:23 arianne_rpg Exp $ */
/***************************************************************************
    copyright            : (C) 2000 by Miguel Angel Blanch Lardin
    email                : x5101920@fedro.ugr.es
 ***************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "1_Message/C2S_SYSTEM_INFO.h"
#include "DataTypes/Serializer.h"


Message_C2S_SYSTEM_INFO::Message_C2S_SYSTEM_INFO():
  Message()
  {
  sType=ARIANNE_SYSTEM_INFO;
  }

Message_C2S_SYSTEM_INFO::~Message_C2S_SYSTEM_INFO()
  {
  }

void Message_C2S_SYSTEM_INFO::read(Serializer &s)
  {
  s >> Os;
  s >> Cpu;
  }

void Message_C2S_SYSTEM_INFO::write(Serializer &s) const
  {
  s << Os;
  s << Cpu;
  }
  
void Message_C2S_SYSTEM_INFO::SetCpu(const std::string &Cpu)
  {
  this->Cpu=Cpu;
  }
  
std::string Message_C2S_SYSTEM_INFO::GetCpu()
  {
  return Cpu;
  }
  
void Message_C2S_SYSTEM_INFO::SetOs(const std::string &Os)
  {
  this->Os=Os;
  }
  
std::string Message_C2S_SYSTEM_INFO::GetOs()
  {
  return Os;
  }
  
Message *Message_C2S_SYSTEM_INFO::clone() const
  {
  return new Message_C2S_SYSTEM_INFO(*this);
  }
