/* $Id: C2S_SYSTEM_INFO.h,v 1.14 2002/03/08 12:21:23 arianne_rpg Exp $ */
/***************************************************************************
    copyright            : (C) 2000 by Miguel Angel Blanch Lardin
    email                : x5101920@fedro.ugr.es
 ***************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef ARIANNE_C2S_SYSTEM_INFO_h
#define ARIANNE_C2S_SYSTEM_INFO_h

#include "Types.h"
#include "Message.h"
#include <string>

class Serializer;

class Message_C2S_SYSTEM_INFO: public Message
  {
  std::string Os;
  std::string Cpu;

  public:
  Message_C2S_SYSTEM_INFO();
  virtual ~Message_C2S_SYSTEM_INFO();
  virtual void read(Serializer &s);
  virtual void write(Serializer &s) const;

  Message_C2S_SYSTEM_INFO(Message_C2S_SYSTEM_INFO const &b):
    Message(b),
    Os(b.Os),
	Cpu(b.Cpu)
	{
	}

  virtual Message *clone() const;

  void SetCpu(const std::string &Cpu);
  std::string GetCpu();
  void SetOs(const std::string &Os);
  std::string GetOs();
  };

#endif
