/* $Id: S2C_LOGOUT.h,v 1.14 2002/03/08 12:21:24 arianne_rpg Exp $ */
/***************************************************************************
    copyright            : (C) 2000 by Miguel Angel Blanch Lardin
    email                : x5101920@fedro.ugr.es
 ***************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef ARIANNE_S2C_LOGOUT_h
#define ARIANNE_S2C_LOGOUT_h

#include "Types.h"
#include "Message.h"
#include <string>

class Serializer;

class Message_S2C_LOGOUT: public Message
  {
  std::string ByeString;

  public:
  Message_S2C_LOGOUT();
  virtual ~Message_S2C_LOGOUT();
  virtual void read(Serializer &s);
  virtual void write(Serializer &s) const;

  Message_S2C_LOGOUT(Message_S2C_LOGOUT const &b):
    Message(b),
    ByeString(b.ByeString)
	{
	}

  virtual Message *clone() const;

  void SetByeString(const std::string &ByeString);
  std::string GetByeString();
  };

#endif
