/* $Id: World.cpp,v 1.16 2002/03/08 12:21:24 arianne_rpg Exp $ */
/***************************************************************************
    copyright            : (C) 2000 by Miguel Angel Blanch Lardin
    email                : x5101920@fedro.ugr.es
 ***************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "4_Object/World.h"
#include "Log/Logger.h"

World::World(World const& b)
  {
  }

World& World::operator=(World const& b)
  {
  return *this;
  }

World::World()
  {
  }

World::~World()
  {
  }

bool World::Load(std::istream& s,Object::ID &MaxUsedID)
  {
  return m_mappiece.Load(s,MaxUsedID);
  }

bool World::Save(std::ostream& s)
  {
  return m_mappiece.Save(s);
  }


Object World::Get(Object::ID const& id) const
  {
  return m_mappiece.Get(id);
  }

void World::Add(Object const& object)
  {
  m_mappiece.Add(object);
  }

void World::Del(Object::ID const& id)
  {
  m_mappiece.Del(id);
  }

void World::Del(Object const& object)
  {
  m_mappiece.Del(object);
  }


std::list<Object> World::isInRange(std::string const& Center,Uint32 Distance)
  {
  return m_mappiece.isInRange(Center,Distance);
  }



