/* $Id: Serializable.h,v 1.15 2002/03/08 12:21:24 arianne_rpg Exp $ */
/***************************************************************************
    copyright            : (C) 2000 by Miguel Angel Blanch Lardin
    email                : x5101920@fedro.ugr.es
 ***************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef __ARIANNE_Serializable_H
#define __ARIANNE_Serializable_H

class Serializer;

/** This is a base class for all the serializable objects. */
class Serializable
  {
  public:
  Serializable();
  virtual ~Serializable();

  /** This method converts the actual object to a vector-storable form. */
  virtual void write(Serializer& s) const=0;

  /** This fills the actual object with data from a vector. */
  virtual void read(Serializer& s)=0;
  };

#endif
