/* $Id: Define.h,v 1.20 2002/04/09 12:45:47 arianne_rpg Exp $ */
/***************************************************************************
    copyright            : (C) 2000 by Miguel Angel Blanch Lardin
    email                : x5101920@fedro.ugr.es
 ***************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef ARIANNE_DEFINES
#define ARIANNE_DEFINES

/* The Prompt when connected to the server */
#define ARIANNE_PROMPT (std::string("ARIANNE SERVER\r\n"))

/** The Arianne version string. */
#define ARIANNE_VERSION_ID "Arianne 1.0.0 ALPHA 2 Tech Prview 3"

#define VERSION_PRIME 1
#define VERSION_MAJOR 0
#define VERSION_MINOR 0
#define VERSION_SUB   2

#define ARIANNE_VERSION ((VERSION_PRIME<<24)+(VERSION_MAJOR<<16)+(VERSION_MINOR<<8)+(VERSION_SUB))

/** Maximum number of simultaneous connections. */
/*  Because the connectionSet is shared with the Server socket to accept connection, so N client+1 */
#define MAX_NUMBER_CONNECTIONS 16+1

#define ERROR_CONNECTION_ID (0)

#endif

