/* $Id: Exceptions.h,v 1.14 2002/03/08 12:21:24 arianne_rpg Exp $ */
/***************************************************************************
    copyright            : (C) 2000 by Miguel Angel Blanch Lardin
    email                : x5101920@fedro.ugr.es
 ***************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef ARIANNE_EXCEPTIONS_H
#define ARIANNE_EXCEPTIONS_H

#include <exception>
#include <string>

#define __FILE_AND_LINE__  __FILE__":"__str(__LINE__)
#define __str(x)   __str2(x)
#define __str2(x)  #x

class Exception: public std::exception
  {
  protected:
    std::string message;
    Exception(): std::exception() {}
  public:
    virtual ~Exception() throw() {}
    virtual const char *what() const throw()
    {
        return message.c_str();
    }
  };

#endif
