/* $Id: InitPath.h,v 1.16 2002/03/08 12:21:24 arianne_rpg Exp $ */
/***************************************************************************
    copyright            : (C) 2000 by Miguel Angel Blanch Lardin
    email                : x5101920@fedro.ugr.es
 ***************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef _ARIANNE_initpath_h_
#define _ARIANNE_initpath_h_

#include <string>

// modifyable data (eg. world-data)
extern std::string g_vardir;
// configuration-directory
extern std::string g_etcdir;
// non-modifyable data (eg. graphics)
extern std::string g_sharedir;
// log-files go here
extern std::string g_logdir;
// lib-dir to search eg the render-plugins
extern std::string g_libdir;

/** This function sets the std::strings vardir etcdir sharedir and logdir to the correct places.
     Call it with the config-file you're searching for. */
bool InitPath(std::string const& config_file);

#endif
