/* $Id: ManagerCoordinator.h,v 1.15 2002/03/08 12:21:25 arianne_rpg Exp $ */
/***************************************************************************
    copyright            : (C) 2000 by Miguel Angel Blanch Lardin
    email                : x5101920@fedro.ugr.es
 ***************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef ARIANNE_ManagerCoordinator_H
#define ARIANNE_ManagerCoordinator_H

#include "Concurrent/Mutex.h"

/** This mutex is used for coordination Login/Logout/Perception, 
    so that the server see a atomic state on the Login/Logout status.
    For ex: you can't logout while being sent a perception. */
extern Mutex gManagerCoordinatorMutex;

#endif
