/* $Id: CommandLineParser.h,v 1.4 2002/04/19 12:41:42 pchitescu Exp $ */
/***************************************************************************
    copyright            : (C) 2000 by Miguel Angel Blanch Lardin
    email                : x5101920@fedro.ugr.es
 ***************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef __ARIANNE_CommandLineParser
#define __ARIANNE_CommandLineParser

#include "Manager/Manager.h"
#include "3_Manager/PlayerConnectionManager.h"
#include "5_Rp/WorldManager.h"
#include "5_Rp/RPManager.h"

class CommandLineParser: public Manager
  {
  PlayerConnectionManager *playerConMan;
  WorldManager *worldMan;
  RPManager *rpMan;

  public:
  CommandLineParser(PlayerConnectionManager *playerConMan,WorldManager *worldMan, RPManager *rpMan);
  ~CommandLineParser();

  void Start();
  };

#endif
