/* $id: Py2Attributes.h,v 1.3 2002/03/08 12:21:25 arianne_rpg Exp $ */
/***************************************************************************
    copyright            : (C) 2002 by Brian Rowe
    email                : briprowe@yahoo.com
 ***************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef __Py2Attributes_h_
#define __Py2Attributes_h_

#include "Python.h"

#include "4_Object/Attributes.h"

class Py2Attributes: public Attributes
{
 protected:
  Attributes GetCAttribs(PyObject* obj);

 public:
  Py2Attributes(): Attributes() { }
  Py2Attributes(Attributes obj): Attributes(obj) { }
  Py2Attributes(PyObject* obj);
  
  ~Py2Attributes();

  PyObject* GetPython(void);
  
  void SetAttrib(PyObject* key, PyObject* val);
  PyObject* GetAttrib(PyObject* key);
//  std::string GetAttrib(std::string &key) { return(GetAttrib(key)); }
  
//  PyDictObject* operator=(Attributes const &rhs);
//  Attributes operator=(PyDictObject const *rhs);
  
  bool operator==(Attributes const &rhs);
  bool operator==(PyObject *rhs);
};

#endif
