/* $id: PyScript.h,v 1.3 2002/03/08 12:21:25 arianne_rpg Exp $ */
/***************************************************************************
    copyright            : (C) 2002 by Brian Rowe
    email                : briprowe@yahoo.com
 ***************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef __PyScript_h_
#define __PyScript_h_

#include "Python.h"

#include "Script.h"

class PyScript : public Script
{

 private:
  
  PyObject *script;

 public:
  PyScript();
  PyScript(PyObject *pycode);
  PyScript(const PyScript& rhs);

  virtual ~PyScript();

  virtual void Startup(void);
  virtual void Shutdown(void);
  virtual string Execute(const string &params);

}
