/* $Id: S2C_LOGOUT.cpp,v 1.14 2002/03/08 12:21:24 arianne_rpg Exp $ */
/***************************************************************************
    copyright            : (C) 2000 by Miguel Angel Blanch Lardin
    email                : x5101920@fedro.ugr.es
 ***************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "1_Message/S2C_LOGOUT.h"
#include "DataTypes/Serializer.h"


Message_S2C_LOGOUT::Message_S2C_LOGOUT():
  Message()
  {
  sType=ARIANNE_LOGOUT;
  }

Message_S2C_LOGOUT::~Message_S2C_LOGOUT()
  {
  }


void Message_S2C_LOGOUT::read(Serializer &s)
  {
  s >> ByeString;
  }

void Message_S2C_LOGOUT::write(Serializer &s) const
  {
  s << ByeString;
  }
  
void Message_S2C_LOGOUT::SetByeString(const std::string &ByeString)
  {
  this->ByeString=ByeString;
  }
  
std::string Message_S2C_LOGOUT::GetByeString()
  {
  return ByeString;
  }
  
Message *Message_S2C_LOGOUT::clone() const
  {
  return new Message_S2C_LOGOUT(*this);
  }
