/* $Id: Templock.cpp,v 1.13 2001/12/23 17:28:39 arianne_rpg Exp $ */
/***************************************************************************
                          templock.cpp  -  description
                             -------------------
    begin                : Sat Jun 24 2000
    copyright            : (C) 2000 by Ulrich Eckhardt
    email                : Doomster@knuut.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
/***************************************************************************
    A fast and easy way of doing a Mutex
***************************************************************************/

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include "Templock.h"
#include "Mutex.h"

TempLock::TempLock(Mutex const& mutex):
	m_mutex(const_cast<Mutex&>(mutex))
{
	m_mutex.Lock();
}
TempLock::~TempLock()
{
	m_mutex.Unlock();
}
