/* $Id: Test.cpp,v 1.13 2001/12/23 17:28:39 arianne_rpg Exp $ */
#include <iostream>
using namespace std;

#include "Thread.h"
#include "Mutex.h"
#include "Semaphore.h"

#include "AList.h"
#include "ABool.h"

#include "SDL.h"

AList<Abool> Buffer;
Semaphore Mutex(1),Empty(5),Full(0);

class Consumer: public LoopThread
  {
  void loop()
    {
	Full.Wait();
	Mutex.Wait();

	Abool *tmp=Buffer.Remove(0);
	delete tmp;
	tmp = 0;
	cout<<"Consumer consume an item "<< Buffer.Size() << endl;

	Mutex.Post();
	Empty.Post();

	SDL_Delay((rand()%10)*1000);
	}
  };

class Producer: public LoopThread
  {
  void loop()
    {
	Empty.Wait();
	Mutex.Wait();

	Buffer.Add(new Abool(true));
	cout<<"Producer produce an item "<< Buffer.Size() << endl;

	Mutex.Post();
    Full.Post(); 

	SDL_Delay(2000);
	}
  };

int main(int Num,char **arg)
  {
  Consumer c;
  Producer p;

  c.Start();
  p.Start();

  for(;;);

  return 0;
  }
