/* $Id: StringTool.h,v 1.4 2002/03/16 20:43:38 arianne_rpg Exp $ */
/***************************************************************************
    copyright            : (C) 2000 by Miguel Angel Blanch Lardin
    email                : x5101920@fedro.ugr.es
 ***************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef StringTool_H
#define StringTool_H

#include <vector>
#include <list>
#include <string>

/** This method split a string in several strings based on the delimiter. */
std::vector<std::string> Split(const std::string& orig, const std::string delimiter = " ");

/** This method replace a ( or more ) white spaces by a %20 and viceversa */ 
std::string ConvertSpaces2Code(std::string const& text);
std::string ConvertCode2Spaces(std::string const& text);

bool find_list(std::list<std::string>::const_iterator begin, std::list<std::string>::const_iterator end,std::list<std::string> TextList);
bool find_string(std::list<std::string>::const_iterator begin, std::list<std::string>::const_iterator end,std::string TextList);

#endif
