/* $Id: TestConnection.cpp,v 1.13 2001/12/23 17:28:40 arianne_rpg Exp $ */

#include "Thread.h"
#include "TCPConnection.h"

#include "SDL.h"

TCPConnection c;
TCPConnection p;
Connection *c1;


class Consumer: public LoopThread
  {
  void loop()
    {
	SDL_Delay(1000);
    c.SetHost("127.0.0.1",3124);
    c.Open();

	for(;;)
	  {
	  GenericMessage tmp;

      printf("C: Getting data\n");
	  c >> tmp;

	  for(int i=0;i<tmp.Data.size();++i)
	    {
		if((i%256)!=tmp.Data[i])
		  {
		  printf("ERROR: %i==%i\n",(i%256),tmp.Data[i]);		  
		  }
		}
	  }
	}
  };

class Producer: public LoopThread
  {
  void loop()
    {
    p.SetHost(0,3124);
    p.Open();

    c1=p.Accept();
	int j=0;

	for(;;)
	  {
	  GenericMessage tmp;
	  tmp.Type=0;
	  tmp.Flags=0;
	  for(int i=0;i<1000+j*3000;++i)
    	{
	    tmp.Data.push_back(i%256);
	    }

      printf("P: Sending data\n");
      *c1<<tmp;
  	  SDL_Delay(1000);
	  ++j;
	  printf("Enviando %i bytes",1000+j*3000);
	  }
	}
  };

int main(int Num,char **arg)
  {
  SDLNet_Init();

  Consumer tc;
  Producer tp;

  tc.Start();
  tp.Start();

  for(;;);

  return 0;
  }
