/* $Id: FilePath.cpp,v 1.13 2001/12/23 17:28:40 arianne_rpg Exp $ */
/***************************************************************************
    copyright            : (C) 2000,2001 by Masahiro Minami, Ulrich Eckhardt
    email                : elsur@aaa.letter.co.jp
 ***************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "FilePath.h"

std::string getValidFilePath(std::string const& path)
  {
  #if defined(macintosh)
  std::string result = path;

  std::string::size_type pos;

  // '../' -> '::'
  pos = 0;
  pos = result.find("../");
  while(pos != std::string::npos)
    {
    result.replace(pos, 3, "::");
    pos = result.find("../");
    }

  // './' -> ':'
  pos = 0;
  pos = result.find("./");
  while(pos != std::string::npos)
    {
    result.replace(pos, 2, ":");
    pos = result.find("./");
    }

  // '/' -> ':'
  pos = 0;
  pos = result.find("/");
  while(pos != std::string::npos)
    {
    result.replace(pos, 1, ":");
    pos = result.find("/");
    }

  return result;
  #else
  return path;
  #endif
  }
