/* $id: PyScript.cpp,v 1.3 2002/03/08 12:21:25 arianne_rpg Exp $ */
/***************************************************************************
    copyright            : (C) 2002 by Brian Rowe
    email                : briprowe@yahoo.com
 ***************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "PyScript.h"

PyScript::PyScript(PyObject *pycode) : Script()
{
  if( !pycode || !PyCallable_Check(pycode) )
    script = 0;
  else
    {
      script = pycode;
      Py_INCREF(script); // Prevent script from being deleted out from under us
      
      Startup();
    }
}

PyScript::PyScript(const PyScript& rhs)
{
  script = rhs.script;
  Py_INCREF(script);
}

PyScript::~PyScript()
{
  Shutdown();
  Py_XDECREF(script);
}

void PyScript::Startup(void)
{
  
