/* $Id: hashpw.cpp,v 1.13 2001/12/23 17:28:42 arianne_rpg Exp $ */
/***************************************************************************
    copyright            : (C) 2001 by Benjamin Lerman
    email                : quisar@quisar.ambre.net
 ***************************************************************************/
/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
/***************************************************************************
 * This programm hashes a password given as its first argument.            *
 ***************************************************************************/

#include "Crypto/Crypto.h"
#include <iostream>
using namespace std;
int main(int argc, char **argv)
{
    if(argc != 2)
    {
    cerr << "Usage: " << argv[0] << " pass" << endl;
    return 1;
    }
#ifndef HAVE_CRYPTO
    cout << argv[1] << endl;
#else
    RAND r;
    std::string res;
    SHA1::cryptPW(r, argv[1], res);
    cout << res << endl;
#endif
    return 0;
}
